## org.hibernate.sql.ordering.antlr
Class CollationSpecification

    java.lang.Object
      antlr.BaseAST
          antlr.CommonAST
              org.hibernate.sql.ordering.antlr.NodeSupport
                  org.hibernate.sql.ordering.antlr.CollationSpecification

All Implemented Interfaces:
  antlr.collections.AST, Serializable, Node

    public class CollationSpecification

extends NodeSupport

Models a collation specification (`COLLATE` using a specific character-set) within a `SortSpecification`.

See Also:
  Serialized Form

Field Summary

Fields inherited from class antlr.BaseAST
`down, right`

Constructor Summary
`CollationSpecification()`

Method Summary

Methods inherited from class org.hibernate.sql.ordering.antlr.NodeSupport
`getDebugText, getRenderableText`

Methods inherited from class antlr.CommonAST
`getText, getType, initialize, initialize, initialize, setText, setType`

Methods inherited from class antlr.BaseAST
`addChild, decode, encode, equals, equalsList, equalsListPartial, equalsTree, equalsTreePartial, findAll, findAllPartial, getColumn, getFirstChild, getLine, getNextSibling, getNumberOfChildren, getTokenNames, removeChildren, setFirstChild, setNextSibling, setVerboseStringConversion, toString, toStringList, toStringTree, xmlSerialize, xmlSerializeNode, xmlSerializeRootClose, xmlSerializeRootOpen`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.hibernate.sql.ordering.antlr.Node
`getText`

Constructor Detail

### CollationSpecification

    public CollationSpecification()

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.